# Uses of Interface
org.opensaml.xmlsec.SignatureValidationConfiguration

Packages that use SignatureValidationConfiguration
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.config
OpenSAML configuration classes.
org.opensaml.xmlsec.criterion
Criterion classes for XML Security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.messaging.impl
Message handlers for XML Security functionality.

## Uses of SignatureValidationConfiguration in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl with type parameters of type SignatureValidationConfiguration
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,List<SignatureValidationConfiguration>>`
PopulateSignatureValidationParameters.`configurationLookupStrategy`
Strategy used to lookup a per-request `SignatureValidationConfiguration` list.
Method parameters in org.opensaml.profile.action.impl with type arguments of type SignatureValidationConfiguration
Modifier and Type
Method
Description
`void`
PopulateSignatureValidationParameters.`setConfigurationLookupStrategy(Function<ProfileRequestContext,List<SignatureValidationConfiguration>> strategy)`
Set the strategy used to look up a per-request `SignatureValidationConfiguration` list.

## Uses of SignatureValidationConfiguration in org.opensaml.xmlsec

Methods in org.opensaml.xmlsec that return SignatureValidationConfiguration
Modifier and Type
Method
Description
`static SignatureValidationConfiguration`
SecurityConfigurationSupport.`ensureGlobalSignatureValidationConfiguration()`
Get the global `SignatureValidationConfiguration` instance, raising an exception if absent.
`static SignatureValidationConfiguration`
SecurityConfigurationSupport.`getGlobalSignatureValidationConfiguration()`
Get the global `SignatureValidationConfiguration` instance.

## Uses of SignatureValidationConfiguration in org.opensaml.xmlsec.config

Fields in org.opensaml.xmlsec.config declared as SignatureValidationConfiguration
Modifier and Type
Field
Description
`private SignatureValidationConfiguration`
BasicXMLSecurityConfiguration.`sigValidateConfig`
Configuration used when validating protocol message signatures.
Methods in org.opensaml.xmlsec.config that return SignatureValidationConfiguration
Modifier and Type
Method
Description
`SignatureValidationConfiguration`
BasicXMLSecurityConfiguration.`getSignatureValidationConfiguration()`
Get the configuration used when validating protocol message signatures.
`SignatureValidationConfiguration`
XMLSecurityConfiguration.`getSignatureValidationConfiguration()`
Get the configuration used when validating protocol message signatures.
Methods in org.opensaml.xmlsec.config with parameters of type SignatureValidationConfiguration
Modifier and Type
Method
Description
`BasicXMLSecurityConfiguration`
BasicXMLSecurityConfiguration.`setSignatureValidationConfiguration(SignatureValidationConfiguration config)`
Set the configuration used when validating protocol message signatures.

## Uses of SignatureValidationConfiguration in org.opensaml.xmlsec.criterion

Fields in org.opensaml.xmlsec.criterion with type parameters of type SignatureValidationConfiguration
Modifier and Type
Field
Description
`private List<SignatureValidationConfiguration>`
SignatureValidationConfigurationCriterion.`configs`
The list of configuration instances.
Methods in org.opensaml.xmlsec.criterion that return types with arguments of type SignatureValidationConfiguration
Modifier and Type
Method
Description
`List<SignatureValidationConfiguration>`
SignatureValidationConfigurationCriterion.`getConfigurations()`
Get the list of configuration instances.
Constructors in org.opensaml.xmlsec.criterion with parameters of type SignatureValidationConfiguration
Modifier
Constructor
Description
``
`SignatureValidationConfigurationCriterion(SignatureValidationConfiguration... configurations)`
Constructor.
Constructor parameters in org.opensaml.xmlsec.criterion with type arguments of type SignatureValidationConfiguration
Modifier
Constructor
Description
``
`SignatureValidationConfigurationCriterion(List<SignatureValidationConfiguration> configurations)`
Constructor.

## Uses of SignatureValidationConfiguration in org.opensaml.xmlsec.impl

Classes in org.opensaml.xmlsec.impl that implement SignatureValidationConfiguration
Modifier and Type
Class
Description
`class`
`BasicSignatureValidationConfiguration`
Basic implementation of `SignatureValidationConfiguration`.

## Uses of SignatureValidationConfiguration in org.opensaml.xmlsec.messaging.impl

Fields in org.opensaml.xmlsec.messaging.impl with type parameters of type SignatureValidationConfiguration
Modifier and Type
Field
Description
`private Function<MessageContext,List<SignatureValidationConfiguration>>`
PopulateSignatureValidationParametersHandler.`configurationLookupStrategy`
Strategy used to lookup a per-request `SignatureValidationConfiguration` list.
Method parameters in org.opensaml.xmlsec.messaging.impl with type arguments of type SignatureValidationConfiguration
Modifier and Type
Method
Description
`void`
PopulateSignatureValidationParametersHandler.`setConfigurationLookupStrategy(Function<MessageContext,List<SignatureValidationConfiguration>> strategy)`
Set the strategy used to look up a per-request `SignatureValidationConfiguration` list.